> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1webhookscallsmetricspipecat



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/calls/metrics/pipecat
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/calls/metrics/pipecat:
    post:
      tags:
        - Calls
      operationId: calls.receivePipecatMetrics
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                call_id:
                  type: string
                trace_id:
                  type: string
                session_id:
                  type: string
                stt_ttfb:
                  type: string
                  description: Latency metrics (milliseconds)
                stt_total_time:
                  type: string
                llm_ttft:
                  type: string
                llm_total_time:
                  type: string
                tts_ttfb:
                  type: string
                tts_total_time:
                  type: string
                voice_to_voice_latency:
                  type: string
                stt_provider:
                  type: string
                  description: Provider details
                llm_provider:
                  type: string
                llm_model:
                  type: string
                tts_provider:
                  type: string
                input_tokens:
                  type: string
                  description: LLM Token usage
                  default: 0
                output_tokens:
                  type: string
                  default: 0
                audio_tokens:
                  type: string
                  default: 0
                cached_tokens:
                  type: string
                  default: 0
                reasoning_tokens:
                  type: string
                  default: 0
                tts_characters:
                  type: string
                  description: TTS usage
                  default: 0
                stt_audio_seconds:
                  type: string
                  description: STT usage
                  default: 0
                estimated_llm_cost:
                  type: string
                  description: Cost estimates
                  default: 0
                estimated_stt_cost:
                  type: string
                  default: 0
                estimated_tts_cost:
                  type: string
                  default: 0
                interruption_count:
                  type: string
                  description: Quality metrics
                  default: 0
                turn_switches:
                  type: string
                  default: 0
                stt_errors:
                  type: string
                  description: Error counts
                  default: 0
                llm_errors:
                  type: string
                  default: 0
                tts_errors:
                  type: string
                  default: 0
                errors:
                  type: string
                fallback_events:
                  type: string
                fallback_count:
                  type: string
                  default: 0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Call not found
                required:
                  - error
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                required:
                  - success
                  - error
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````